## org.apache.commons.collections.set
Interface CompositeSet.SetMutator

All Superinterfaces:
  CompositeCollection.CollectionMutator

Enclosing class:
  CompositeSet

    public static interface CompositeSet.SetMutator

extends CompositeCollection.CollectionMutator

Define callbacks for mutation operations.

Defining remove() on implementations of SetMutator is pointless as they are never called by CompositeSet.

Method Summary
`void` `resolveCollision(CompositeSet comp, java.util.Set existing, java.util.Set added, java.util.Collection intersects)` Called when a Set is added to the CompositeSet and there is a collision between existing and added sets.

Methods inherited from interface org.apache.commons.collections.collection.CompositeCollection.CollectionMutator
`add, addAll, remove`

Method Detail

### resolveCollision

    void resolveCollision(CompositeSet comp,
                          java.util.Set existing,
                          java.util.Set added,
                          java.util.Collection intersects)

  Called when a Set is added to the CompositeSet and there is a collision between existing and added sets.

  If `added` and `existing` still have any intersects after this method returns an IllegalArgumentException will be thrown.

  Parameters:
    `comp` - The CompositeSet being modified
    `existing` - The Set already existing in the composite
    `added` - the Set being added to the composite
    `intersects` - the intersection of th existing and added sets

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.